<?php

namespace Teste\Teste\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ModeloTransformer extends TransformerAbstract
{
    public function transform(\Teste\Teste\Models\Modelo $modelo)
    {
        return [
            'id'                => $modelo->getRouteKey(),
            'key'               => [
                'public'    => $modelo->getPublicKey(),
                'route'     => $modelo->getRouteKey(),
            ], 
            'id'                => $modelo->id,
            'Nome'              => $modelo->Nome,
            'url'               => [
                'public'    => trans_url('teste/'.$modelo->getPublicKey()),
                'user'      => guard_url('teste/modelo/'.$modelo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$modelo->status),
            'created_at'        => format_date($modelo->created_at),
            'updated_at'        => format_date($modelo->updated_at),
        ];
    }
}